Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177549 - [68cat] @Override annotation hint multiply itself
[68cat] @Override annotation hint multiply itself
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Hints & Annotations
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@editor
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 15:48 UTC by cbulcu
Modified: 2010-01-25 09:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
A project (12.41 KB, application/zip)
2009-11-24 15:48 UTC, cbulcu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cbulcu 2009-11-24 15:48:47 UTC
Created attachment 91635 [details]
A project

NB 6.8 Dev 200911230200

Open the attached project. It should have the Sources->Source/Binary Format set to JDK 6.

Open the class C1, which implements interface I1.

You should now see the hints regarding the @Override annotation. Don't add them.

STEP 1.  Go to the first method m1(). Issue an ALT+Enter keyboard stroke, and then click outside the shown lists, in the editor (that way no changes are made to the code).

STEP 2.  Hover over the m2() method's hint. You should see the "Add @Override Annotation" appearing twice. Don't take any action.

STEP 3.  Do STEP 1 again, and then STEP 2. You should see the hint list incrementing by one more entry of "Add @Override Annotation".

Now if you do STEP 1 on the method m2(), you'll notice that the hints list of m2() gets reset, and the hints list of m1() grows.

I didn't test this with other hints.
Comment 1 Max Sauer 2009-11-25 02:18:21 UTC
Weird, but not a P2 imho. Hint is never displayed twice on alt-enter.
Comment 2 cbulcu 2009-11-25 03:31:59 UTC
Max, have you followed the steps? The hints tooltip list increments at the other method. So if you do ALT+Enter on m1(), go to m2() hint, and see the tooltip list (on hovering on the bulb).
Comment 3 Max Sauer 2009-11-25 03:51:08 UTC
I'm no saying it is not reproducible -- just that on alt-enter, it gets refreshed, so it applies on to hovering, which does not seem to be so serious to me. I'm going to fix this soon anyway, so it won't be such a difference.
Comment 4 cbulcu 2009-11-25 04:20:45 UTC
Hei Max, no problem. I agree with the bug being P3. I just pushed it a bit, so it wouldn't get overlooked :-P

I hope that "soon" means that it will vanish with the RC.

Thanks for your time.
Comment 5 cbulcu 2009-11-28 05:35:26 UTC
Well, it's still present in RC1.

It seems that "soon" doesn't mean RC1. If this release gets adopted...

No offense, but it would look, literally look bad. I understand it's a P3, and all, but my argument is that it's a bug that shows itself, and makes NB look... I also understand that it isn't hard to fix, so I still hope.

Any news on this, Max?

Thanks for your time.
Comment 6 Max Sauer 2009-11-29 14:27:52 UTC
I've put the fix into trunk. We have to discuss whether this will go to 6.8 with quality engineers -- but imho, this won't be part of 6.8, sorry. There will be a patch released soon (http://wiki.netbeans.org/NetBeansPatchesProcess).

---
http://hg.netbeans.org/jet-main/rev/f7d2dac608bc
Comment 7 Quality Engineering 2009-11-30 03:18:34 UTC
Integrated into 'main-golden', will be available in build *200911300200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f7d2dac608bc
User: Max Sauer <msauer@netbeans.org>
Log: #177549: Override annotation hint multiply itself
Comment 8 Peter Pis 2010-01-13 04:40:24 UTC
Verified.

Product Version: NetBeans IDE Dev (Build 201001120200)
Comment 9 pgebauer 2010-01-14 04:52:23 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/f4aa70748be3
Comment 10 Peter Pis 2010-01-25 09:32:11 UTC
V.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo